curl --request GET \
--url https://api.dedaluslabs.ai/v1/models \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"provider": "openai",
"created_at": "2023-11-07T05:31:56Z",
"display_name": "<string>",
"description": "<string>",
"version": "<string>",
"capabilities": {
"text": true,
"vision": true,
"image_generation": true,
"audio": true,
"tools": true,
"structured_output": true,
"streaming": true,
"thinking": true,
"input_token_limit": 123,
"output_token_limit": 123
},
"defaults": {
"temperature": 123,
"top_p": 123,
"top_k": 123,
"max_output_tokens": 123
},
"provider_info": {},
"provider_declared_generation_methods": [
"<string>"
]
}
],
"object": "list"
}curl --request GET \
--url https://api.dedaluslabs.ai/v1/models \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"provider": "openai",
"created_at": "2023-11-07T05:31:56Z",
"display_name": "<string>",
"description": "<string>",
"version": "<string>",
"capabilities": {
"text": true,
"vision": true,
"image_generation": true,
"audio": true,
"tools": true,
"structured_output": true,
"streaming": true,
"thinking": true,
"input_token_limit": 123,
"output_token_limit": 123
},
"defaults": {
"temperature": 123,
"top_p": 123,
"top_k": 123,
"max_output_tokens": 123
},
"provider_info": {},
"provider_declared_generation_methods": [
"<string>"
]
}
],
"object": "list"
}curl -X GET https://api.dedaluslabs.ai/v1/models \
-H "Authorization: Bearer YOUR_API_KEY"
| Field | Type | Description |
|---|---|---|
id | string | प्रदाता प्रीफ़िक्स के साथ मॉडल पहचानकर्ता (उदा., openai/gpt-4o) |
provider | string | प्रदाता का नाम (openai, anthropic, google, आदि) |
capabilities.text | boolean | टेक्स्ट जनरेशन का समर्थन करता है |
capabilities.vision | boolean | इमेज इनपुट का समर्थन करता है |
capabilities.tools | boolean | tool/function कॉल का समर्थन करता है |
capabilities.thinking | boolean | विस्तारित तर्क क्षमता (o1, o3, Claude thinking) |
provider_info.status | string | enabled, preview या deprecated |
provider_info.upstream_api | string | रूटिंग के लिए कौन‑सा upstream API (एप्लिकेशन प्रोग्रामिंग इंटरफ़ेस) उपयोग किया जाता है |
Bearer टोकन के माध्यम से API कुंजी का प्रमाणीकरण
Was this page helpful?